Bug 246790 - "soft lockup detected"
"soft lockup detected"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-04 17:41 EDT by Ivo Sarak
Modified: 2008-01-09 10:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-09 10:43:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2007-07-04 17:41:26 EDT
Description of problem:
System slowdown and dmesg report:
BUG: soft lockup detected on CPU#1!
 [<c0451ea2>] softlockup_tick+0xa5/0xb4
 [<c042e930>] update_process_times+0x3b/0x5e
 [<c043d298>] tick_sched_timer+0x57/0x9a
 [<c0439df5>] hrtimer_interrupt+0x12b/0x1b6
 [<c043d241>] tick_sched_timer+0x0/0x9a
 [<f8baeaf2>] addrconf_verify+0x0/0x274 [ipv6]
 [<c0419c40>] smp_apic_timer_interrupt+0x6f/0x80
 [<c04059bc>] apic_timer_interrupt+0x28/0x30
 [<f8baed55>] addrconf_verify+0x263/0x274 [ipv6]
 [<f8baeaf2>] addrconf_verify+0x0/0x274 [ipv6]
 [<c042dcee>] run_timer_softirq+0x10a/0x17b
 [<f8baeaf2>] addrconf_verify+0x0/0x274 [ipv6]
 [<c042a588>] it_real_fn+0x12/0x16
 [<c042b2e5>] __do_softirq+0x5d/0xba
 [<c04071b7>] do_softirq+0x59/0xb1
 [<c042b1c7>] ksoftirqd+0x0/0xc1
 [<c042b226>] ksoftirqd+0x5f/0xc1
 [<c0436da8>] kthread+0xb0/0xd8
 [<c0436cf8>] kthread+0x0/0xd8
 [<c0405b3f>] kernel_thread_helper+0x7/0x10
 =======================


Version-Release number of selected component (if applicable):
kernel-2.6.21-1.3228.fc7


How reproducible:
One time event

Steps to Reproduce:
1. Run the specified set of kernel and hardware, maybe.
  
Actual results:
System slowdown.

Expected results:
Nothing unusual.

Additional info:
[ivo@sarmax ~]$ cat /proc/cpuinfo 
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 67
model name      : AMD Athlon(tm) 64 X2 Dual Core Processor 5600+
stepping        : 3
cpu MHz         : 2814.157
cache size      : 1024 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 2
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext
3dnow pni cx16 lahf_lm cmp_legacy svm extapic cr8legacy ts fid vid ttp tm stc
bogomips        : 5645.24
clflush size    : 64

processor       : 1
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 67
model name      : AMD Athlon(tm) 64 X2 Dual Core Processor 5600+
stepping        : 3
cpu MHz         : 2814.157
cache size      : 1024 KB
physical id     : 0
siblings        : 2
core id         : 1
cpu cores       : 2
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext
3dnow pni cx16 lahf_lm cmp_legacy svm extapic cr8legacy ts fid vid ttp tm stc
bogomips        : 5627.33
clflush size    : 64

[ivo@sarmax ~]$ 

[root@sarmax ~]# lspci
00:00.0 Host bridge: ALi Corporation M1697 HTT Host Bridge
00:01.0 PCI bridge: ALi Corporation PCI Express Root Port
00:02.0 PCI bridge: ALi Corporation PCI Express Root Port
00:03.0 PCI bridge: ALi Corporation PCI Express Root Port
00:04.0 PCI bridge: ALi Corporation PCI Express Root Port
00:11.0 PCI bridge: ALi Corporation M5249 HTT to PCI Bridge
00:12.0 Ethernet controller: ALi Corporation ULi 1689,1573 integrated ethernet.
(rev 60)
00:13.0 USB Controller: ALi Corporation USB 1.1 Controller (rev 03)
00:13.1 USB Controller: ALi Corporation USB 1.1 Controller (rev 03)
00:13.2 USB Controller: ALi Corporation USB 1.1 Controller (rev 03)
00:13.3 USB Controller: ALi Corporation USB 2.0 Controller (rev 01)
00:14.0 Audio device: ALi Corporation High Definition Audio/AC'97 Host
Controller (rev 01)
00:15.0 ISA bridge: ALi Corporation PCI to LPC Controller (rev 10)
00:15.1 Bridge: ALi Corporation M7101 Power Management Controller [PMU]
00:16.0 IDE interface: ALi Corporation M5229 IDE (rev c7)
00:16.1 IDE interface: ALi Corporation ULi M5288 SATA
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon X1950 Pro
(Primary) (PCIE)
01:00.1 Display controller: ATI Technologies Inc Radeon X1950 Pro (Secondary) (PCIE)
05:0b.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 05)
05:0b.1 Input device controller: Creative Labs SB Live! Game Port (rev 05)
05:0c.0 SCSI storage controller: Adaptec AIC-7892B U160/m (rev 02)
[root@sarmax ~]#
Comment 1 Christopher Brown 2007-09-17 16:29:25 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 2 Christopher Brown 2008-01-09 10:43:13 EST
As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

Note You need to log in before you can comment on or make changes to this bug.